This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 21303 - [SRPM] Incomplete build with --target=i686
[SRPM] Incomplete build with --target=i686
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
1.0
i386 Linux
low Severity low
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-24 12:13 EST by Enrico Scholz
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-08 10:52:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2000-11-24 12:13:12 EST
At two places in the .spec-file of XFree86-4.0.1-1.2.src.rpm you are
checking for i386 instead of %{ix86}:


%ifarch i386
#define HasGlide3 YES
%endif 
...
%ifarch i386
%files -n tdfx_dri
%defattr(-,root,root)
/usr/X11R6/lib/modules/dri/tdfx_dri*
%endif
Comment 1 Mike A. Harris 2000-12-05 02:26:23 EST
This problem has been fixed in my internal spec file, and will be present
in some future release of Red Hat Linux.
Comment 2 Mike A. Harris 2001-03-08 10:53:28 EST
This was DEFERRED for some reason, but should have been RAWHIDE'd.
It is fixed in Rawhide..

Note You need to log in before you can comment on or make changes to this bug.